import request from '@/utils/request'

// 查询支部年度工作计划条目列表
export function listPlanitem(query) {
  return request({
    url: '/branch/planitem/list',
    method: 'get',
    params: query
  })
}

// 查询支部年度工作计划条目详细
export function getPlanitem(itemId) {
  return request({
    url: '/branch/planitem/' + itemId,
    method: 'get'
  })
}

// 新增支部年度工作计划条目
export function addPlanitem(data) {
  return request({
    url: '/branch/planitem',
    method: 'post',
    data: data
  })
}

// 修改支部年度工作计划条目
export function updatePlanitem(data) {
  return request({
    url: '/branch/planitem',
    method: 'put',
    data: data
  })
}

// 删除支部年度工作计划条目
export function delPlanitem(itemId) {
  return request({
    url: '/branch/planitem/' + itemId,
    method: 'delete'
  })
}
